#xdxsmi completion                        -*- shell-script -*-

_xdxsmi()
{
    local cur prev pprev

    #Current word
    cur=${COMP_WORDS[COMP_CWORD]}

    #Previous word
    prev=${COMP_WORDS[COMP_CWORD-1]}

    #Wrod before previous word
    pprev=${COMP_WORDS[COMP_CWORD-2]}

    COMPREPLY=()

    #Options for xdxsmi
    xdxsmi_opts='--help --version clock power thermal fan query util'

    #Options for each module
    module_opts='--help --index= get set'

    #Options for clock
    clock_opts='host gfx gddr acpu ndf'

    #Options for power
    power_opts='volt curr pwr pwr_max pwr_min pwr_warn'

    #Options for thermal
    thermal_opts='temp temp_high temp_ctrl'

    #Options for fan
    fan_opts='spd tgt_spd'


    #Print options based on previous word
    case $prev in

    #When previous word is xdxsmi
    xdxsmi)
        COMPREPLY=( $( compgen -W "$xdxsmi_opts" -- $cur) )
        ;;
    
    #When previous word is clock, power, thermal or fan
    clock | power | thermal | fan | query | util)
        COMPREPLY=( $( compgen -W "$module_opts" -- $cur) )
        ;;
    
    #When previous word is get
    get)
        if [ $pprev = 'clock' ]
        then
            COMPREPLY=( $( compgen -W "$clock_opts" -- $cur) )
        elif [ $pprev = 'power' ]
        then
            COMPREPLY=( $( compgen -W "$power_opts" -- $cur) )
        elif [ $pprev = 'thermal' ]
        then
            COMPREPLY=( $( compgen -W "$thermal_opts" -- $cur) )
        elif [ $pprev = 'fan' ]
        then
            COMPREPLY=( $( compgen -W "$fan_opts" -- $cur) )
        fi
        ;;
    
    #When previous word is set
    set)
        if [ $pprev = 'clock' ]
        then
            COMPREPLY=( $( compgen -W "gfx" -- $cur) )
        elif [ $pprev = 'power' ]
        then
            COMPREPLY=( $( compgen -W "pwr_warn" -- $cur) )
        elif [ $pprev = 'thermal' ]
        then
            COMPREPLY=( $( compgen -W "temp_ctrl" -- $cur) )
        elif [ $pprev = 'fan' ]
        then
            COMPREPLY=( $( compgen -W "tgt_spd" -- $cur) )
        fi
        ;;
    
    #When inputing several attributes
    *)
        if [[ ${COMP_WORDS[1]} = 'clock' && ${COMP_WORDS[2]} = 'get' ]]
        then
            COMPREPLY=( $( compgen -W "$clock_opts" -- $cur) )
        elif [[ ${COMP_WORDS[1]} = 'power' && ${COMP_WORDS[2]} = 'get' ]]
        then 
            COMPREPLY=( $( compgen -W "$power_opts" -- $cur) )
        elif [[ ${COMP_WORDS[1]} = 'thermal' && ${COMP_WORDS[2]} = 'get' ]]
        then 
            COMPREPLY=( $( compgen -W "$thermal_opts" -- $cur) )
        elif [[ ${COMP_WORDS[1]} = 'fan' && ${COMP_WORDS[2]} = 'get' ]]
        then 
            COMPREPLY=( $( compgen -W "$fan_opts" -- $cur) )
        fi
        ;;
    esac
}

#Apply the autocompletion function on the keyword 'xdxsmi'
complete -o nospace -F _xdxsmi xdxsmi