/*
 * @Copyright   Copyright (c) XIANGDIXIAN Computing Technology Co., Ltd. All Rights Reserved
 * @License     Dual MIT/GPLv2
 */
#ifndef __DM_ENCODER_H__
#define __DM_ENCODER_H__

#include <drm/drm_encoder.h>
#include <drm/drm_atomic.h>
#include <drm/drm_connector.h>
#include <drm/drm_crtc.h>
#if ((LINUX_VERSION_CODE >= KERNEL_VERSION(5, 18, 0)) && (LINUX_VERSION_CODE < KERNEL_VERSION(5, 19, 0)))
#include <drm/dp/drm_dp_mst_helper.h>
#elif (LINUX_VERSION_CODE >= KERNEL_VERSION(5, 19, 0))
#include <drm/display/drm_dp_mst_helper.h>
#else
#include <drm/drm_dp_mst_helper.h>
#endif
#include <drm/drm_plane.h>
#include "dm.h"
#include "xdx_device.h"

struct dm_encoder {
	struct drm_encoder base;
	int id;
	struct drm_display_mode native_mode;
	// TODO:
};

static inline struct drm_encoder *to_drm_encoder(struct dm_encoder *dm_encoder)
{
	return &dm_encoder->base;
}

static inline struct dm_encoder *to_dm_encoder(struct drm_encoder *connector)
{
	return container_of(connector, struct dm_encoder, base);
}

int dm_encoder_init(struct xdx_dm *dm, struct dm_encoder *dm_encoder,
		    uint32_t id);

#endif /* __DM_ENCODER_H__ */