/*
 * @Copyright   Copyright (c) XIANGDIXIAN Computing Technology Co., Ltd. All Rights Reserved
 * @License     Dual MIT/GPLv2
 */
#ifndef DMA_DEBUG_H
#define DMA_DEBUG_H
#include <linux/kernel.h>
#include <linux/kern_levels.h>

//#define DEBUG_PANGU 

#define DBGPANGU_ERROR   0x001UL
#define DBGPANGU_WARNING 0x002UL
#define DBGPANGU_INFO    0x003UL

#define PANGU_DPF_0x001UL(...) printk(KERN_ERR  __VA_ARGS__)
#define PANGU_DPF_0x002UL(...) printk(KERN_WARNING  __VA_ARGS__)
#define PANGU_DPF_0x003UL(...) printk(KERN_INFO  __VA_ARGS__)


#define PANGU_DPF_EX(lvl, ...) PANGU_DPF_ ## lvl (__VA_ARGS__)


//#define PANGU_DPF(x) PANGU_DPF_0x001UL x

#if defined DEBUG_PANGU 
#define PANGU_DPF(x) PANGU_DPF_EX x
//#define PANGU_PRINT_VAR64(var) printk(#var"=0x%llx\n", (uint64_t)var)
//#define PANGU_PRINT_VAR(var)   printk(#var"=0x%x\n", (uint32_t)var)

#else
#define PANGU_DPF(x) 
#define PANGU_PRINT_VAR64(var) 
#define PANGU_PRINT_VAR(var)  
#endif

#endif
