/*
 * @Copyright   Copyright (c) XIANGDIXIAN Computing Technology Co., Ltd. All Rights Reserved
 * @License     Dual MIT/GPLv2
 */

#include "exectb_intf.h"

void EXECTB_Init(void)
{
	// execution_tb_mcu External GPIO - Used for Test Status, Comms with Debug Driver
	GPIO0->DATA[0].WORD = 0;
	GPIO0->IE.WORD = 0;
	GPIO0->DIR.BYTE[IO_BYTE] = ( IO_STROBE | IO_FUNCSEL);
	GPIO0->DIR.BYTE[PRINT_BYTE] = ( PRINT_STROBE | PRINT_CHAR);
	GPIO0->DIR.BYTE[MISC_BYTE] = ( MISC_PASS | MISC_COMPLETE);

	// execution_tb_mcu Internal GPIOs - Used for Integration Testing Only
	GPIO1->DATA[0].WORD = 0;
	GPIO1->IE.WORD = 0;
	GPIO1->DIR.WORD = 0;

	GPIO2->DATA[0].WORD = 0;
	GPIO2->IE.WORD = 0;
	GPIO2->DIR.WORD = 0;

	GPIO3->DATA[0].WORD = 0;
	GPIO3->IE.WORD = 0;
	GPIO3->DIR.WORD = 0;
}

void EXECTB_WriteChar(int ch)
{
	GPIO0->DATA[PRINT_CHAR].BYTE[PRINT_BYTE] = ch; // Write whole char to 2nd byte
	GPIO0->DATA[PRINT_STROBE].BYTE[PRINT_BYTE] = PRINT_STROBE; // Write strobe
	GPIO0->DATA[PRINT_STROBE].BYTE[PRINT_BYTE] = 0; // Clear Strobe
	return;
}

void EXECTB_Exit(int return_code)
{
	// Write 1 to GPIO0[0] to end simulation
	// Write 1 to GPIO0[1] to print TEST PASS

	if (return_code == 0) {
		GPIO0->DATA[MISC_PASS].BYTE[MISC_BYTE] = MISC_PASS;
	} else {
		GPIO0->DATA[MISC_PASS].BYTE[MISC_BYTE] = 0;
	}

	// End of test

	GPIO0->DATA[MISC_COMPLETE].BYTE[MISC_BYTE] = MISC_COMPLETE;

	//
	// The following codes are added in the end of program so that AEM is able to exit by itself
	//
	asm(
			"MOVW     r0,#0x0000\n\t"
			"MOVT     r0,#0x2ba0\n\t"
			"MOVS     r1,#4\n\t"
			"STRB     r1,[r0,#0]\n\t"
			"DSB      "
	);

	while (1)
		;
}

