/*
 * @Copyright   Copyright (c) XIANGDIXIAN Computing Technology Co., Ltd. All Rights Reserved
 * @License     Dual MIT/GPLv2
 */
#ifndef __PVR_GEM_H__
#define __PVR_GEM_H__

#include "xdx_gem.h"

int pvr_bo_create(void *pvrdev, void *pvr_fpriv, 
	struct xdx_bo_create_params *bp, void **ppsPMR,
	uint64_t *puiPMRFlags);

void pvr_pmr_set_reservation(void *psPMR, struct dma_resv *resv);

struct dma_buf *pvr_export_dmabuf(void *pvrdev, void *psPMR, struct drm_gem_object *gobj, int flags);
int pvr_import_dmabuf(void *pvrdev, struct dma_buf *dmabuf, void **ppsPMRPtr, struct drm_gem_object **gobj);

int pvr_query_pmr_info(void *psPMR, struct xdx_bo_property *pro, uint32_t *psize);

int pvr_pmr_get_pages(void *psPMR, uint32_t ui32Log2PageSize, uint64_t **pages, uint32_t *num_pages);
void pvr_pmr_put_pages(void *psPMR, uint64_t *pages);

int pvr_pmr_mmap(void *psPMR, struct vm_area_struct *vma);

int pvr_pmr_vmmap(void *psPMR, void **vaddr, void **priv);
void pvr_pmr_vunmap(void *hPMR, void *vaddr, void *priv);

int pvr_pmr_export_handle(void *pvr_fpriv, void *hPMR, uint32_t *pvr_handle);
int pvr_pmr_lookup(void *pvr_fpriv, uint32_t pvr_handle, void **ppsPMRPtr);

int pvr_pmr_get_cpu_paddr(void *hPMR, uint64_t offset, unsigned long *cpu_paddr);
int pvr_pmr_get_page_prot(void *hPMR, struct vm_area_struct *vma);

void pvr_pmr_get(void *psPMR);
void pvr_pmr_put(void *psPMR);

int sparse_pmr_copy(struct xdx_bo *bo, void *vaddr);

#endif /* __PVR_GEM_H__ */
