/*
 * @Copyright   Copyright (c) XIANGDIXIAN Computing Technology Co., Ltd. All Rights Reserved
 * @License     Dual MIT/GPLv2
 */

#pragma once

#include "SysTypes.h"

#define PANGU_CPUS_IDLE_MS      	(5)

#if 0
typedef enum 
{
	CPU_STATE_Unspecified		= -1,	/*!< Unspecified : Uninitialised */
	CPU_STATE_WORKING			= 0,	/*working */
	CPU_STATE_IDLE				= 1,	/*idle ,have no work to do*/
	CPU_STATE_WFI				= 2,	/*wfi status*/
} PANGU_CPU_STATUS;

typedef enum 
{
	CPU_FEEDBACK_WORKING			= 0,	/*working */
	CPU_FEEDBACK_IDLE				= 1,	/*idle ,have no work to do*/
} PANGU_CPU_FEEDBACK_STATUS;

typedef enum 
{
	PANGU_PS0				= 0,	/*working */
	PANGU_PS1				= 1,	/*some pll gating*/
	PANGU_PS2				= 2,	/*pll gating ,and some power domain shutdown*/
	PANGU_PS3				= 3,	/*poweroff */
} PANGU_POWER_STATE;


#define CMCU_WAKEUP_EVENT_CLKREQ_DEASSERT	(1)	/*working */
#define	CMCU_WAKEUP_EVENT_PMU				(2)	/*some pll gating*/
#define	CMCU_WAKEUP_EVENT_D12D0				(4)	/*some pll gating*/
#define	CMCU_WAKEUP_EVENT_TIMER				(8)	/*pll gating ,and some power domain shutdown*/

	
typedef union 
{
    uint32_t all;
    struct
    {
		uint32_t cmpuSleepStatus	 	: 8;
		uint32_t acpuSleepStatus  		: 8;
		uint32_t vdmcu1SleepStatus		: 8;
		uint32_t vdmcu0SleepStatus		: 8;
    };
} CPU_SleepStatus_T;

typedef union 
{
    uint32_t all;
    struct
    {
		uint32_t gpusFeedbackStatus	 		: 8;
		uint32_t acpusFeedbackStatus  		: 8;
		uint32_t vdmcu1FeedbackStatus		: 8;
		uint32_t vdmcu0FeedbackStatus		: 8;
    };
} PMU_SleepStatusFeedback_T;

typedef union 
{
    U8 all;
    struct
    {
		U8 clkreqDeassert  	: 1;
		U8 pmuInt		 	: 1;
		U8 timerEvent	  	: 1;
		U8 resv				: 5;
    };
} CMCU_WakeupEvent_T;
#endif

typedef enum
{
    cPCI_D0 = 0,
    cPCI_D1,
    cPCI_D3Hot,
    cPCI_DStateMax,
}PCIDState_T;

typedef enum
{
    cPS0 = 0,
    cPS1,
    cPS2,
    cPSMax,
}DevicePowerState_T;

typedef enum
{
    cLowPowerStageClean = 0,
    cLowPowerStageWaitAcpuVdmcusWFI,
    cLowPowerStageEnd,
    cLowPowerStageMax
}DeviceLowPowerStage;

typedef struct
{
    __V U64 acpuIdleTick;
    __V U64 vdmcu0IdleTick;
    __V U64 vdmcu1IdleTick;
    __V U64 cmcuIdleTick;
	
    __V U64 cmcuDebugTick;
	
	__V U8 pvrSleepReady;		// power state from DDK
	__V U8 pcieLinkStatus;		//pcie link status
	__V U8 pcieDState;			//pcie D-state
	__V U8 pcieDStateChanged;
	__V U8 devicePS;			//pangu power state
	__V U8 deviceLowerPowerStage;        
	__V U8 panguAPMSupport;		// support pangu auto power management or not
    __V U8 resv;
}PowerManager_T;

