/*
 * @Copyright   Copyright (c) XIANGDIXIAN Computing Technology Co., Ltd. All Rights Reserved
 * @License     Dual MIT/GPLv2
 */

#ifndef _CACHE_H_
#define _CACHE_H_
#include <linux/ioctl.h>
#include "hantro_priv.h"
#include "hantro.h"

#undef PDEBUG /* undef it, just in case */
#ifdef CACHE_DEBUG
#ifdef __KERNEL__
/* This one if debugging is on, and kernel space */
#define PDEBUG printk
#else
/* This one for user space */
#define PDEBUG(fmt, args...) printf(__FILE__ ":%d: " fmt, __LINE__, ##args)
#endif
#else
#define PDEBUG(fmt, args...) /* not debugging: nothing */
#endif

long hantrocache_ioctl(struct file *filp, unsigned int cmd, unsigned long arg);

long CacheReadRegs(struct cache_dev_t *dev, struct core_desc *core);
long CacheWriteRegs(struct cache_dev_t *dev, struct core_desc *core);

int cache_init(void);
int cache_probe(dtbnode *pnode, int useirq, int loop,
		struct cache_dev_t *cachecore);
void cache_cleanup(void);
int cache_open(struct inode *inode, struct file *filp);
int cache_release(struct file *filp);

#endif /* !_CACHE_H_ */
